/*******************************************************
 * File: AddressBookDialog.cpp
 * Authors: Jake Becker (jabecker@stanford.edu)
 *          Keith Schwarz (htiek@cs.stanford.edu)
 *
 * Class defining the "manage address book" dialog window.
 * You should not need to use or modify the contents of this
 * file.
 */

#include <QtGui>
#include "ui_addressbook.h"
using namespace std;

/* See the comments in SendMailWidget.h about the
 * Q_OBJECT and slots "keywords."
 */
class AddressBookDialog : public QDialog 
{
  Q_OBJECT
    
   public:
     /* Constructor takes in a reference to the master address list.  Any
      * changes caused by the dialog will be placed here.
      */
     explicit AddressBookDialog(const QStringList& addressList);
     int exec(); // override

   private slots:
     void addAddress();
     void removeAddress();
     void save();

   private:
     Ui::AddressBookDialog ui;
     const QStringList&    addressList;
     QStringList           tempAddressList;
     QStringListModel      addressListModel;
};
